local addonName, addon = ...;

local WATER_MOUNTS = { [420] = true,
                       [800] = true,
                       [838] = true,
                       [855] = true,
                       [982] = true,
                       [1166] = true,
                       [1169] = true,
                       [1208] = true,
                       [1258] = true,
                       [1260] = true,
                       [1262] = true,
					   [1434] = true,
					   [1551] = true,			   
};

local BC_GROUND_MOUNTS = { [146] = true,
                           [147] = true,
                           [149] = true,
                           [150] = true,
                           [151] = true,
                           [152] = true,
                           [153] = true,
                           [154] = true,
                           [155] = true,
                           [156] = true,
                           [157] = true,
                           [158] = true,
                           [159] = true,
                           [160] = true,
                           [161] = true,
                           [162] = true,
                           [163] = true,
                           [164] = true,
                           [165] = true,
                           [166] = true,
                           [167] = true,
                           [168] = true,
                           [170] = true,
                           [171] = true,
                           [172] = true,
                           [173] = true,
                           [174] = true,
                           [185] = true,
                           [199] = true,
                           [201] = true,
                           [202] = true,
                           [211] = true,
                           [212] = true,
                           [213] = true,
                           [220] = true,
                           [224] = true,
                           [226] = true,
                           [243] = true,
};

local BC_FLYING_MOUNTS = { [123] = true,
                           [129] = true,
                           [130] = true,
                           [131] = true,
                           [132] = true,
                           [133] = true,
                           [134] = true,
                           [135] = true,
                           [136] = true,
                           [137] = true,
                           [138] = true,
                           [139] = true,
                           [140] = true,
                           [141] = true,
                           [142] = true,
                           [169] = true,
                           [176] = true,
                           [177] = true,
                           [178] = true,
                           [179] = true,
                           [180] = true,
                           [183] = true,
                           [186] = true,
                           [187] = true,
                           [188] = true,
                           [189] = true,
                           [190] = true,
                           [191] = true,
                           [203] = true,
                           [204] = true,
                           [205] = true,
                           [206] = true,
                           [207] = true,
                           [219] = true,
                           [223] = true,
};

local WOTLK_GROUND_MOUNTS = { [221] = true,
                              [222] = true,
                              [225] = true,
                              [230] = true,
                              [237] = true,
                              [240] = true,
                              [251] = true,
                              [269] = true,
                              [270] = true,
                              [271] = true,
                              [272] = true,
                              [273] = true,
                              [274] = true,
                              [275] = true,
                              [280] = true,
                              [284] = true,
                              [286] = true,
                              [287] = true,
                              [288] = true,
                              [289] = true,
                              [294] = true,
                              [295] = true,
                              [296] = true,
                              [297] = true,
                              [298] = true,
                              [299] = true,
                              [300] = true,
                              [301] = true,
                              [302] = true,
                              [303] = true,
                              [308] = true,
                              [309] = true,
                              [310] = true,
                              [311] = true,
                              [312] = true,
                              [314] = true,
                              [318] = true,
                              [319] = true,
                              [320] = true,
                              [321] = true,
                              [322] = true,
                              [323] = true,
                              [324] = true,
                              [325] = true,
                              [326] = true,
                              [327] = true,
                              [328] = true,
                              [331] = true,
                              [332] = true,
                              [333] = true,
                              [334] = true,
                              [335] = true,
                              [336] = true,
                              [337] = true,
                              [338] = true,
                              [341] = true,
                              [342] = true,
                              [343] = true,
                              [344] = true,
                              [345] = true,
                              [366] = true,
                              [372] = true,
                              [371] = true,
};

local WOTLK_FLYING_MOUNTS = { [236] = true,
                              [241] = true,
                              [246] = true,
                              [247] = true,
                              [248] = true,
                              [249] = true,
                              [250] = true,
                              [253] = true,
                              [254] = true,
                              [255] = true,
                              [256] = true,
                              [257] = true,
                              [258] = true,
                              [259] = true,
                              [262] = true,
                              [263] = true,
                              [264] = true,
                              [265] = true,
                              [266] = true,
                              [267] = true,
                              [268] = true,
                              [276] = true,
                              [277] = true,
                              [278] = true,
                              [279] = true,
                              [285] = true,
                              [291] = true,
                              [292] = true,
                              [293] = true,
                              [304] = true,
                              [305] = true,
                              [306] = true,
                              [307] = true,
                              [313] = true,
                              [317] = true,
                              [329] = true,
                              [330] = true,
                              [340] = true,
                              [349] = true,
                              [352] = true,
                              [363] = true,
                              [364] = true,
                              [365] = true,
                              [375] = true,
                              [376] = true,
                              [382] = true,
};

local CATA_GROUND_MOUNTS = { [6] = true,
                             [7] = true,
                             [8] = true,
                             [9] = true,
                             [11] = true,
                             [12] = true,
                             [13] = true,
                             [14] = true,
                             [15] = true,
                             [17] = true,
                             [18] = true,
                             [19] = true,
                             [20] = true,
                             [21] = true,
                             [22] = true,
                             [24] = true,
                             [25] = true,
                             [26] = true,
                             [27] = true,
                             [28] = true,
                             [31] = true,
                             [32] = true,
                             [34] = true,
                             [35] = true,
                             [36] = true,
                             [38] = true,
                             [39] = true,
                             [40] = true,
                             [41] = true,
                             [42] = true,
                             [43] = true,
                             [45] = true,
                             [46] = true,
                             [50] = true,
                             [51] = true,
                             [52] = true,
                             [53] = true,
                             [54] = true,
                             [55] = true,
                             [56] = true,
                             [57] = true,
                             [58] = true,
                             [62] = true,
                             [63] = true,
                             [64] = true,
                             [65] = true,
                             [66] = true,
                             [67] = true,
                             [68] = true,
                             [69] = true,
                             [70] = true,
                             [71] = true,
                             [72] = true,
                             [73] = true,
                             [74] = true,
                             [75] = true,
                             [76] = true,
                             [77] = true,
                             [78] = true,
                             [79] = true,
                             [80] = true,
                             [81] = true,
                             [82] = true,
                             [83] = true,
                             [84] = true,
                             [85] = true,
                             [87] = true,
                             [88] = true,
                             [89] = true,
                             [90] = true,
                             [91] = true,
                             [92] = true,
                             [93] = true,
                             [94] = true,
                             [95] = true,
                             [96] = true,
                             [97] = true,
                             [98] = true,
                             [99] = true,
                             [100] = true,
                             [101] = true,
                             [102] = true,
                             [103] = true,
                             [104] = true,
                             [105] = true,
                             [106] = true,
                             [107] = true,
                             [108] = true,
                             [109] = true,
                             [110] = true,
                             [111] = true,
                             [116] = true,
                             [121] = true,
                             [122] = true,
                             [145] = true,
                             [196] = true,
                             [197] = true,
                             [350] = true,
                             [351] = true,
                             [367] = true,
                             [368] = true,
                             [386] = true,
                             [388] = true,
                             [389] = true,
                             [398] = true,
                             [399] = true,
                             [400] = true,
                             [401] = true,
                             [403] = true,
                             [404] = true,
                             [405] = true,
                             [406] = true,
                             [409] = true,
                             [410] = true,
                             [411] = true,
                             [418] = true,
                             [419] = true,
                             [421] = true,
                             [422] = true,
                             [423] = true,
                             [425] = true,
                             [426] = true,
                             [429] = true,
                             [430] = true,
                             [431] = true,
                             [432] = true,
                             [434] = true,
                             [435] = true,
                             [436] = true,
};

local CATA_FLYING_MOUNTS = { [358] = true,
                             [391] = true,
                             [392] = true,
                             [393] = true,
                             [395] = true,
                             [396] = true,
                             [397] = true,
                             [407] = true,
                             [408] = true,
                             [413] = true,
                             [415] = true,
                             [417] = true,
                             [412] = true,
                             [424] = true,
                             [428] = true,
                             [433] = true,
                             [439] = true,
                             [440] = true,
                             [441] = true,
                             [442] = true,
                             [443] = true,
                             [444] = true,
                             [445] = true,
                             [446] = true,
                             [455] = true,
};

local MOP_GROUND_MOUNTS = { [449] = true,
                            [452] = true,
                            [453] = true,
                            [460] = true,
                            [462] = true,
                            [463] = true,
                            [479] = true,
                            [480] = true,
                            [481] = true,
                            [484] = true,
                            [485] = true,
                            [486] = true,
                            [487] = true,
                            [492] = true,
                            [493] = true,
                            [494] = true,
                            [495] = true,
                            [496] = true,
                            [497] = true,
                            [498] = true,
                            [499] = true,
                            [500] = true,
                            [501] = true,
                            [505] = true,
                            [506] = true,
                            [507] = true,
                            [508] = true,
                            [509] = true,
                            [510] = true,
                            [511] = true,
                            [515] = true,
                            [531] = true,
                            [533] = true,
                            [534] = true,
                            [535] = true,
                            [536] = true,
                            [537] = true,
                            [538] = true,
                            [539] = true,
                            [540] = true,
                            [545] = true,
                            [546] = true,
                            [550] = true,
                            [554] = true,
                            [555] = true,
                            [558] = true,
                            [559] = true,
                            [560] = true,
};

local MOP_FLYING_MOUNTS = { [447] = true,
                            [448] = true,
                            [450] = true,
                            [451] = true,
                            [456] = true,
                            [457] = true,
                            [458] = true,
                            [459] = true,
                            [464] = true,
                            [465] = true,
                            [466] = true,
                            [467] = true,
                            [468] = true,
                            [469] = true,
                            [470] = true,
                            [471] = true,
                            [472] = true,
                            [473] = true,
                            [474] = true,
                            [475] = true,
                            [477] = true,
                            [478] = true,
                            [503] = true,
                            [504] = true,
                            [516] = true,
                            [517] = true,
                            [518] = true,
                            [519] = true,
                            [520] = true,
                            [521] = true,
                            [522] = true,
                            [523] = true,
                            [526] = true,
                            [527] = true,
                            [528] = true,
                            [529] = true,
                            [530] = true,
                            [532] = true,
                            [541] = true,
                            [542] = true,
                            [543] = true,
                            [544] = true,
                            [547] = true,
                            [548] = true,
                            [549] = true,
                            [551] = true,
                            [557] = true,
                            [561] = true,
                            [562] = true,
                            [563] = true,
                            [564] = true,
                            [568] = true,
                            [571] = true,
                            [593] = true,
                            [594] = true,
};

local WOD_GROUND_MOUNTS = { [488] = true,
                            [603] = true,
                            [606] = true,
                            [607] = true,
                            [608] = true,
                            [609] = true,
                            [611] = true,
                            [612] = true,
                            [613] = true,
                            [614] = true,
                            [615] = true,
                            [616] = true,
                            [617] = true,
                            [618] = true,
                            [619] = true,
                            [620] = true,
                            [621] = true,
                            [622] = true,
                            [623] = true,
                            [624] = true,
                            [625] = true,
                            [626] = true,
                            [627] = true,
                            [628] = true,
                            [629] = true,
                            [630] = true,
                            [631] = true,
                            [632] = true,
                            [633] = true,
                            [635] = true,
                            [636] = true,
                            [637] = true,
                            [638] = true,
                            [639] = true,
                            [640] = true,
                            [641] = true,
                            [642] = true,
                            [643] = true,
                            [644] = true,
                            [645] = true,
                            [647] = true,
                            [648] = true,
                            [649] = true,
                            [650] = true,
                            [651] = true,
                            [652] = true,
                            [654] = true,
                            [655] = true,
                            [657] = true,
                            [682] = true,
                            [758] = true,
                            [759] = true,
                            [760] = true,
                            [761] = true,
                            [762] = true,
                            [764] = true,
                            [765] = true,
                            [768] = true,
                            [769] = true,
};

local WOD_FLYING_MOUNTS = { [416] = true,
                            [454] = true,
                            [552] = true,
                            [600] = true,
                            [634] = true,
                            [664] = true,
                            [741] = true,
                            [751] = true,
                            [753] = true,
                            [755] = true,
                            [756] = true,
                            [772] = true,
                            [778] = true,
                            [781] = true,
};

local LEGION_GROUND_MOUNTS = { [656] = true,
                               [663] = true,
                               [763] = true,
                               [775] = true,
                               [780] = true,
                               [784] = true,
                               [791] = true,
                               [793] = true,
                               [794] = true,
                               [795] = true,
                               [796] = true,
                               [797] = true,
                               [804] = true,
                               [826] = true,
                               [831] = true,
                               [832] = true,
                               [833] = true,
                               [834] = true,
                               [836] = true,
                               [841] = true,
                               [842] = true,
                               [843] = true,
                               [844] = true,
                               [847] = true,
                               [854] = true,
                               [873] = true,
                               [874] = true,
                               [875] = true,
                               [876] = true,
                               [877] = true,
                               [878] = true,
                               [882] = true,
                               [896] = true,
                               [900] = true,
                               [901] = true,
                               [939] = true,
                               [941] = true,
                               [944] = true,
                               [945] = true,
                               [955] = true,
                               [964] = true,
                               [965] = true,
                               [966] = true,
                               [967] = true,
                               [968] = true,
                               [970] = true,
                               [979] = true,
                               [980] = true,
                               [981] = true,
                               [983] = true,
                               [984] = true,
                               [985] = true,
                               [986] = true,
                               [1167] = true,
};

local LEGION_FLYING_MOUNTS = { [476] = true,
                               [773] = true,
                               [779] = true,
                               [802] = true,
                               [845] = true,
                               [846] = true,
                               [848] = true,
                               [849] = true,
                               [850] = true,
                               [851] = true,
                               [852] = true,
                               [853] = true,
                               [860] = true,
                               [861] = true,
                               [864] = true,
                               [865] = true,
                               [866] = true,
                               [867] = true,
                               [868] = true,
                               [870] = true,
                               [872] = true,
                               [881] = true,
                               [883] = true,
                               [884] = true,
                               [885] = true,
                               [888] = true,
                               [889] = true,
                               [890] = true,
                               [891] = true,
                               [892] = true,
                               [893] = true,
                               [894] = true,
                               [898] = true,
                               [899] = true,
                               [905] = true,
                               [906] = true,
                               [930] = true,
                               [931] = true,
                               [932] = true,
							   [942] = true,
                               [943] = true,
                               [946] = true,
                               [947] = true,
                               [948] = true,
                               [949] = true,
                               [954] = true,
                               [959] = true,
                               [960] = true,
							   [961] = true,
                               [962] = true,
                               [971] = true,
                               [972] = true,
                               [973] = true,
                               [974] = true,
                               [975] = true,
                               [976] = true,
                               [978] = true,
};

local BFA_GROUND_MOUNTS = { [925] = true,
                            [926] = true,
                            [928] = true,
                            [933] = true,
                            [934] = true,
                            [935] = true,
                            [936] = true,
                            [937] = true,
                            [963] = true,
                            [1006] = true,
                            [1007] = true,
                            [1008] = true,
                            [1009] = true,
                            [1010] = true,
                            [1012] = true,
                            [1015] = true,
                            [1016] = true,
                            [1018] = true,
                            [1019] = true,
                            [1026] = true,
                            [1027] = true,
                            [1038] = true,
                            [1039] = true,
                            [1040] = true,
                            [1044] = true,
                            [1045] = true,
                            [1046] = true,
                            [1047] = true,
                            [1048] = true,
                            [1050] = true,
                            [1053] = true,
                            [1172] = true,
                            [1174] = true,
                            [1176] = true,
                            [1179] = true,
                            [1180] = true,
                            [1182] = true,
                            [1183] = true,
                            [1190] = true,
                            [1191] = true,
                            [1192] = true,
                            [1193] = true,
                            [1194] = true,
                            [1195] = true,
                            [1196] = true,
                            [1197] = true,
                            [1198] = true,
                            [1199] = true,
                            [1201] = true,
                            [1203] = true,
                            [1204] = true,
                            [1205] = true,
                            [1206] = true,
                            [1207] = true,
                            [1209] = true,
                            [1213] = true,
                            [1214] = true,
                            [1215] = true,
                            [1220] = true,
                            [1225] = true,
                            [1229] = true,
                            [1237] = true,
                            [1238] = true,
                            [1239] = true,
                            [1242] = true,
                            [1243] = true,
                            [1245] = true,
                            [1246] = true,
                            [1247] = true,
                            [1248] = true,
                            [1249] = true,
                            [1250] = true,
                            [1252] = true,
                            [1253] = true,
                            [1255] = true,
                            [1256] = true,
                            [1283] = true,
                            [1285] = true,
                            [1286] = true,
                            [1288] = true,
                            [1292] = true,
                            [1324] = true,
                            [1327] = true,
                            [1328] = true,
                            [1329] = true,
                            [1178] = true,
};

local BFA_FLYING_MOUNTS = { [956] = true,
                            [958] = true,
                            [993] = true,
                            [995] = true,
                            [996] = true,
                            [997] = true,
                            [999] = true,
                            [1011] = true,
                            [1013] = true,
                            [1025] = true,
                            [1028] = true,
                            [1030] = true,
                            [1031] = true,
                            [1032] = true,
                            [1035] = true,
                            [1042] = true,
                            [1049] = true,
                            [1054] = true,
                            [1057] = true,
                            [1058] = true,
                            [1059] = true,
                            [1060] = true,
                            [1061] = true,
                            [1062] = true,
                            [1063] = true,
                            [1064] = true,
                            [1175] = true,
                            [1185] = true,
                            [1200] = true,
                            [1210] = true,
                            [1211] = true,
                            [1212] = true,
                            [1216] = true,
                            [1217] = true,
                            [1218] = true,
                            [1219] = true,
                            [1221] = true,
                            [1222] = true,
                            [1223] = true,
                            [1224] = true,
                            [1227] = true,
                            [1230] = true,
                            [1231] = true,
                            [1232] = true,
                            [1240] = true,
                            [1254] = true,
                            [1257] = true,
                            [1265] = true,
                            [1266] = true,
                            [1267] = true,
                            [1282] = true,
                            [1287] = true,
                            [1290] = true,
                            [1293] = true,
                            [1297] = true,
                            [1311] = true,
                            [1313] = true,
                            [1314] = true,
                            [1315] = true,
                            [1317] = true,
                            [1318] = true,
                            [1319] = true,
                            [1321] = true,
                            [1322] = true,
                            [1326] = true,
                            [1320] = true,
};

local SL_GROUND_MOUNTS = {  [1298] = true,
							[1299] = true,
							[1302] = true,
							[1303] = true,
							[1304] = true,
							[1305] = true,
							[1351] = true,
							[1352] = true,
							[1354] = true,
							[1355] = true,
							[1356] = true,
							[1357] = true,
							[1358] = true,
							[1364] = true,
							[1368] = true,
							[1372] = true,
							[1373] = true,
							[1374] = true,
							[1375] = true,
							[1382] = true,
							[1384] = true,
							[1385] = true,
							[1387] = true,
							[1388] = true,
							[1389] = true,
							[1391] = true,
							[1392] = true,
							[1393] = true,
							[1395] = true,
							[1415] = true,
							[1416] = true,
							[1417] = true,
							[1420] = true,
							[1421] = true,
							[1422] = true,
							[1431] = true,
							[1437] = true,
							[1441] = true,
							[1442] = true,
							[1443] = true,
							[1448] = true,
							[1450] = true,
							[1451] = true,
							[1452] = true,
							[1454] = true,
							[1455] = true,
							[1458] = true,
							[1460] = true,
							[1465] = true,
							[1466] = true,
							[1475] = true,
							[1476] = true,
							[1477] = true,
							[1500] = true,
							[1501] = true,
							[1502] = true,
							[1503] = true,
							[1504] = true,
							[1505] = true,
							[1506] = true,
							[1507] = true,
							[1511] = true,
							[1514] = true,
							[1522] = true,
							[1523] = true,
							[1524] = true,
							[1525] = true,
							[1526] = true,
							[1528] = true,
							[1529] = true,
							[1538] = true,
							[1539] = true,
							[1540] = true,
							[1541] = true,
							[1542] = true,
							[1543] = true,
							[1547] = true,
							[1564] = true,
							[1565] = true,
							[1566] = true,
							[1568] = true,
							[1569] = true,
							[1570] = true,
							[1571] = true,
							[1576] = true,
							[1584] = true,
							[1585] = true,
							[1597] = true,
							[1600] = true,
};
local SL_FLYING_MOUNTS = {  [1289] = true,
							[1306] = true,
							[1307] = true,
							[1309] = true,
							[1310] = true,
							[1331] = true,
							[1332] = true,
							[1350] = true,
							[1360] = true,
							[1361] = true,
							[1362] = true,
							[1363] = true,
							[1376] = true,
							[1377] = true,
							[1378] = true,
							[1379] = true,
							[1397] = true,
							[1404] = true,
							[1406] = true,
							[1407] = true,
							[1408] = true,
							[1409] = true,
							[1410] = true,
							[1411] = true,
							[1413] = true,
							[1414] = true,
							[1419] = true,
							[1423] = true,
							[1425] = true,
							[1426] = true,
							[1428] = true,
							[1429] = true,
							[1430] = true,
							[1433] = true,
							[1436] = true,
							[1438] = true,
							[1439] = true,
							[1440] = true,
							[1445] = true,
							[1446] = true,
							[1449] = true,
							[1456] = true,
							[1471] = true,
							[1480] = true,
							[1481] = true,
							[1484] = true,
							[1485] = true,
							[1486] = true,
							[1487] = true,
							[1489] = true,
							[1490] = true,
							[1491] = true,
							[1492] = true,
							[1493] = true,
							[1495] = true,
							[1496] = true,
							[1497] = true,
							[1508] = true,
							[1509] = true,
							[1510] = true,
							[1520] = true,
							[1521] = true,
							[1531] = true,
							[1532] = true,
							[1533] = true,
							[1534] = true,
							[1535] = true,
							[1536] = true,
							[1537] = true,
							[1544] = true,
							[1552] = true,
							[1572] = true,
							[1580] = true,
							[1587] = true,
							[1520] = true,
							[1599] = true,
							[1602] = true,
							[1679] = true,
};

addon.expansions = {
    WOW = 1,
    BC = 2,
    WOTLK = 3,
    CATA = 4,
    MOP = 5,
    WOD = 6,
    LEGION = 7,
    BFA = 8,
    SL = 9,
};

addon.zoneToExpansion = {
    --[[World of Warcraft]]
    [319] = { [addon.expansions.WOW] = true, },
    [320] = { [addon.expansions.WOW] = true, },
    [321] = { [addon.expansions.WOW] = true, },
    --[[The Burning Crusade]]
    [101] = { [addon.expansions.BC] = true, },
    [122] = { [addon.expansions.BC] = true, },
    [95] = { [addon.expansions.BC] = true, },
    [94] = { [addon.expansions.BC] = true, },
    [97] = { [addon.expansions.BC] = true, },
    [103] = { [addon.expansions.BC] = true, },
    [106] = { [addon.expansions.BC] = true, },
    [110] = { [addon.expansions.BC] = true, },
    [273] = { [addon.expansions.BC] = true, },
    [274] = { [addon.expansions.BC] = true, },
    [335] = { [addon.expansions.BC] = true, },
    [349] = { [addon.expansions.BC] = true, },
    [356] = { [addon.expansions.BC] = true, },
    [329] = { [addon.expansions.BC] = true, },

    --[Wrath of the Lichking]]
    [113] = { [addon.expansions.WOTLK] = true, },
    [124] = { [addon.expansions.WOTLK] = true, },
    [130] = { [addon.expansions.WOTLK] = true, },
    --[[Cataclysm]]
    [12] = { [addon.expansions.CATA] = true, },
    [13] = { [addon.expansions.CATA] = true, },
    [207] = { [addon.expansions.CATA] = true, },
    [328] = { [addon.expansions.CATA] = true, },
    [435] = { [addon.expansions.CATA] = true,
              [addon.expansions.MOP] = false, },
    --[[Mist of Pandaria]]
    [424] = { [addon.expansions.MOP] = true, },
    --[[Warlord of Draenor]]
    [17] = { [addon.expansions.WOD] = true, },
    [572] = { [addon.expansions.WOD] = true, },
    --[[Legion]]
    [81] = { [addon.expansions.LEGION] = true, },
    [619] = { [addon.expansions.LEGION] = true, },
    [905] = { [addon.expansions.LEGION] = true, },
    --[[Battle for Azeroth]]
    [14] = { [addon.expansions.BFA] = true, },
    [18] = { [addon.expansions.BFA] = true, },
    [62] = { [addon.expansions.BFA] = true, },
    [876] = { [addon.expansions.BFA] = true, },
    [875] = { [addon.expansions.BFA] = true, },
    [1022] = { [addon.expansions.BFA] = true, },
    [1032] = { [addon.expansions.BFA] = true, },
    [1033] = { [addon.expansions.BFA] = true, },
    [1034] = { [addon.expansions.BFA] = true, },
    [1035] = { [addon.expansions.BFA] = true, },
    [1036] = { [addon.expansions.BFA] = true, },
    [1037] = { [addon.expansions.BFA] = true, },
    [1044] = { [addon.expansions.BFA] = true, },
    [1203] = { [addon.expansions.BFA] = true, },
    [1336] = { [addon.expansions.BFA] = true, },
    [1337] = { [addon.expansions.BFA] = true, },
    [1355] = { [addon.expansions.BFA] = true, },
    [1469] = { [addon.expansions.BFA] = true, },
    [1470] = { [addon.expansions.BFA] = true, },
    [1501] = { [addon.expansions.BFA] = true, },
    [1502] = { [addon.expansions.BFA] = true, },
    [1527] = { [addon.expansions.BFA] = true, },
    [1530] = { [addon.expansions.BFA] = true, },
    [1570] = { [addon.expansions.BFA] = true, },
    [1571] = { [addon.expansions.BFA] = true, },
    [1582] = { [addon.expansions.BFA] = true, },
    [1597] = { [addon.expansions.BFA] = true, },
    --[[Shadowlands]]
    [1550] = { [addon.expansions.SL] = true, },
	[1647] = { [addon.expansions.SL] = true, },
}


addon.zoneToSpecialMount = {
	--[[The Maw
	[1543] = {
		[1304] = true,
		[1441] = true,
		[1442] = true,
	}
	]]
}
--[[expansion, mounttype, mountid ]]
addon.mountlist = {
    --[[World of Warcraft]]
    [addon.expansions.WOW] = { [241] = { [117] = true, --[[Ahn,Qiraj]]
                                         [118] = true, --[[Ahn,Qiraj]]
                                         [119] = true, --[[Ahn,Qiraj]]
                                         [120] = true, --[[Ahn,Qiraj]] }, },
    --[[The Burning Crusade]]
    [addon.expansions.BC] = { [284] = { [678] = true,
                                        [679] = true, },
                              [254] = WATER_MOUNTS,
                              [231] = { [125] = true, },
                              [230] = BC_GROUND_MOUNTS,
                              [248] = BC_FLYING_MOUNTS, },
    --[Wrath of the Lichking]]
    [addon.expansions.WOTLK] = { [284] = { [678] = true,
                                           [679] = true, },
                                 [254] = WATER_MOUNTS,
                                 [230] = WOTLK_GROUND_MOUNTS,
                                 [248] = WOTLK_FLYING_MOUNTS, },
    --[[Cataclysm]]
    [addon.expansions.CATA] = { [284] = { [678] = true,
                                          [679] = true, },
                                [254] = WATER_MOUNTS,
                                [232] = { [373] = true, --[[ Vashj'ir Seahorse]] },
                                [230] = CATA_GROUND_MOUNTS,
                                [248] = CATA_FLYING_MOUNTS, },
    --[[Mist of Pandaria]]
    [addon.expansions.MOP] = { [284] = { [678] = true,
                                         [679] = true, },
                               [254] = WATER_MOUNTS,
                               [230] = MOP_GROUND_MOUNTS,
                               [248] = MOP_FLYING_MOUNTS, },
    --[[Warlord of Draenor]]
    [addon.expansions.WOD] = { [284] = { [678] = true,
                                         [679] = true, },
                               [254] = WATER_MOUNTS,
                               [230] = WOD_GROUND_MOUNTS,
                               [248] = WOD_FLYING_MOUNTS, },
    --[[Legion]]
    [addon.expansions.LEGION] = { [284] = { [678] = true,
                                            [679] = true, },
                                  [254] = WATER_MOUNTS,
                                  [230] = LEGION_GROUND_MOUNTS,
                                  [248] = LEGION_FLYING_MOUNTS, },
    --[[Battle for Azeroth]]
    [addon.expansions.BFA] = { [284] = { [678] = true,
                                         [679] = true, },
                               [398] = { [1043] = true, },
                               [254] = WATER_MOUNTS,
                               [230] = BFA_GROUND_MOUNTS,
                               [248] = BFA_FLYING_MOUNTS, },
    --[[Shadowlands]]
    [addon.expansions.SL] = { [284] = { [678] = true,
                                        [679] = true, },
                              [398] = { [1043] = true, },
                              [254] = WATER_MOUNTS,
                              [230] = SL_GROUND_MOUNTS,
                              [248] = SL_FLYING_MOUNTS, },
};
